GET /search/{source_lang}

oxforddictionaries.com

Summary: Retrieve possible matches to input
Operation ID:
Auth: unknown
Description

Use this to retrieve possible [headword](documentation/glossary?term=headword) matches for a given string of text. The results are culculated using headword matching, fuzzy matching, and [lemmatization](documentation/glossary?term=lemma) <div id="search"></div>

Parameters (8)

app_id (string, header, required, default: 5037d509)

App ID Authentication Parameter

app_key (string, header, required, default: 4dc1aebaa63721f0f8e79a55e2514bc7)

App Key Authentication Parameter

limit (string, query, optional)

Limit the number of results per response. Default and maximum limit is 5000.

offset (string, query, optional)

Offset the start number of the result.

prefix (boolean, query, optional, default: false)

Set prefix to true if you'd like to get results only starting with search string.

Constraints: {'enum': ['false', 'true']}

q (string, query, optional, default: eye)

Search string

regions (string, query, optional)

If searching in English, filter words with specific region(s) either 'us' or 'gb'.

source_lang (string, path, required)

IANA language code

Constraints: {'enum': ['en', 'es', 'hi', 'lv', 'sw', 'ta', 'gu']}

No probe data for this endpoint yet.